<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iCelBlLayerGenerate Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iCelBlLayerGenerate Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iCelBlLayerGenerate" --><!-- doxytag: inherits="iBase" -->
<p>This is an interface that behaviour layers can optionally implement.  
 <a href="structiCelBlLayerGenerate.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="blgen_8h_source.html">behaviourlayer/blgen.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iCelBlLayerGenerate:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiCelBlLayerGenerate.png" usemap="#iCelBlLayerGenerate_map" alt=""/>
  <map id="iCelBlLayerGenerate_map" name="iCelBlLayerGenerate_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,130,24"/>
</map>
 </div></div>

<p><a href="structiCelBlLayerGenerate-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBlLayerGenerate.html#a015ee97f083d2eb0a4248224380e7262">CreateBehaviourScriptFromDoc</a> (const char *name, <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *node)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new named behaviour layer script from a document node.  <a href="#a015ee97f083d2eb0a4248224380e7262"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBlLayerGenerate.html#aec3fce2df28a9dc3416e6f3e04e60288">CreateBehaviourScriptFromFile</a> (const char *name, const char *filename)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new named behaviour layer script from a file (VFS path).  <a href="#aec3fce2df28a9dc3416e6f3e04e60288"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiCelBlLayerGenerate.html#a718e41ca1f49c8fef17e836ef7faf3b6">CreateBehaviourScriptFromString</a> (const char *name, const char *string)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Create a new named behaviour layer script from a string.  <a href="#a718e41ca1f49c8fef17e836ef7faf3b6"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is an interface that behaviour layers can optionally implement. </p>
<p>If they do implement this interface then it is possible to dynamically add behaviour (scripts) to the behaviour layer by using the API in this interface. </p>

<p>Definition at line <a class="el" href="blgen_8h_source.html#l00034">34</a> of file <a class="el" href="blgen_8h_source.html">blgen.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a015ee97f083d2eb0a4248224380e7262"></a><!-- doxytag: member="iCelBlLayerGenerate::CreateBehaviourScriptFromDoc" ref="a015ee97f083d2eb0a4248224380e7262" args="(const char *name, iDocumentNode *node)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelBlLayerGenerate.html#a015ee97f083d2eb0a4248224380e7262">iCelBlLayerGenerate::CreateBehaviourScriptFromDoc</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiDocumentNode.html">iDocumentNode</a> *&#160;</td>
          <td class="paramname"><em>node</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new named behaviour layer script from a document node. </p>
<p>Returns false on error (will use reporter to report the error). </p>

</div>
</div>
<a class="anchor" id="aec3fce2df28a9dc3416e6f3e04e60288"></a><!-- doxytag: member="iCelBlLayerGenerate::CreateBehaviourScriptFromFile" ref="aec3fce2df28a9dc3416e6f3e04e60288" args="(const char *name, const char *filename)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelBlLayerGenerate.html#aec3fce2df28a9dc3416e6f3e04e60288">iCelBlLayerGenerate::CreateBehaviourScriptFromFile</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>filename</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new named behaviour layer script from a file (VFS path). </p>
<p>Returns false on error (will use reporter to report the error). </p>

</div>
</div>
<a class="anchor" id="a718e41ca1f49c8fef17e836ef7faf3b6"></a><!-- doxytag: member="iCelBlLayerGenerate::CreateBehaviourScriptFromString" ref="a718e41ca1f49c8fef17e836ef7faf3b6" args="(const char *name, const char *string)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiCelBlLayerGenerate.html#a718e41ca1f49c8fef17e836ef7faf3b6">iCelBlLayerGenerate::CreateBehaviourScriptFromString</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>string</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Create a new named behaviour layer script from a string. </p>
<p>Returns false on error (will use reporter to report the error). </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>behaviourlayer/<a class="el" href="blgen_8h_source.html">blgen.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
